# DXGfxLib.Frustrum Class Reference

Collaboration diagram for DXGfxLib.Frustrum:

[legend]

List of all members.

## Public Member Functions
void | ExtractFromMatrices (Matrix matView, Matrix matProj)
| This method is used to extract frustrum member values from a given view matrix and project matrix. These matrices are also keep in frustrum member variables.
bool | IsInFrustrum (BBox bbox)
| This method allow any one to query whether or not the specified bounding box is completely out of the viewing frustrum or not. If the bounding box is not completely out of the viewing frustrum this method will return true.
void | ExtractFromMatrices (Matrix matView, Matrix matProj)
| This method is used to extract frustrum member values from a given view matrix and project matrix. These matrices are also keep in frustrum member variables.
bool | IsInFrustrum (BBox bbox)
| This method allow any one to query whether or not the specified bounding box is completely out of the viewing frustrum or not. If the bounding box is not completely out of the viewing frustrum this method will return true.
## Public Attributes
Matrix | matView
| In case we keep the view matrice associated to this frustrum.
Matrix | matProj
| In case we also keep the projection matrice.
## Properties
Microsoft.DirectX.Plane | LeftPlane`[get, set]`
| Hope the name is explicit enough.
Microsoft.DirectX.Plane | RightPlane`[get, set]`
| Hope the name is explicit enough.
Microsoft.DirectX.Plane | TopPlane`[get, set]`
| Hope the name is explicit enough.
Microsoft.DirectX.Plane | BottomPlane`[get, set]`
| Hope the name is explicit enough.
Microsoft.DirectX.Plane | NearPlane`[get, set]`
| Hope the name is explicit enough.
Microsoft.DirectX.Plane | FarPlane`[get, set]`
| Hope the name is explicit enough.

## Detailed Description

Definition at line 24 of file Frustrum.cs.

## Member Function Documentation

void DXGfxLib.Frustrum.ExtractFromMatrices | ( | Matrix | matView,
|  | Matrix | matProj |
| ) |  |  |

This method is used to extract frustrum member values from a given view matrix and project matrix. These matrices are also keep in frustrum member variables.

Parameters:

  | matView |
  | matProj |

Definition at line 157 of file Frustrum.cs.

void DXGfxLib.Frustrum.ExtractFromMatrices | ( | Matrix | matView,
|  | Matrix | matProj |
| ) |  |  |

This method is used to extract frustrum member values from a given view matrix and project matrix. These matrices are also keep in frustrum member variables.

Parameters:

  | matView |
  | matProj |

Definition at line 157 of file Frustrum.cs.

Here is the caller graph for this function:

bool DXGfxLib.Frustrum.IsInFrustrum | ( | BBox | bbox | ) |

This method allow any one to query whether or not the specified bounding box is completely out of the viewing frustrum or not. If the bounding box is not completely out of the viewing frustrum this method will return true.

Parameters:

  | bbox | The bounding box we want to check against the viewing frustrum.

Returns:
  Return false only the bounding box is completely out of the viewing frustrum.

Definition at line 216 of file Frustrum.cs.

bool DXGfxLib.Frustrum.IsInFrustrum | ( | BBox | bbox | ) |

This method allow any one to query whether or not the specified bounding box is completely out of the viewing frustrum or not. If the bounding box is not completely out of the viewing frustrum this method will return true.

Parameters:

  | bbox | The bounding box we want to check against the viewing frustrum.

Returns:
  Return false only the bounding box is completely out of the viewing frustrum.

Definition at line 216 of file Frustrum.cs.

Here is the caller graph for this function:

## Member Data Documentation

Matrix DXGfxLib.Frustrum::matProj

In case we also keep the projection matrice.

Definition at line 34 of file Frustrum.cs.

Matrix DXGfxLib.Frustrum::matView

In case we keep the view matrice associated to this frustrum.

Definition at line 29 of file Frustrum.cs.

## Property Documentation

Microsoft DirectX Plane DXGfxLib.Frustrum::BottomPlane`[get, set]`

Hope the name is explicit enough.

Definition at line 110 of file Frustrum.cs.

Microsoft DirectX Plane DXGfxLib.Frustrum::FarPlane`[get, set]`

Hope the name is explicit enough.

Definition at line 140 of file Frustrum.cs.

Microsoft DirectX Plane DXGfxLib.Frustrum::LeftPlane`[get, set]`

Hope the name is explicit enough.

Definition at line 65 of file Frustrum.cs.

Microsoft DirectX Plane DXGfxLib.Frustrum::NearPlane`[get, set]`

Hope the name is explicit enough.

Definition at line 125 of file Frustrum.cs.

Microsoft DirectX Plane DXGfxLib.Frustrum::RightPlane`[get, set]`

Hope the name is explicit enough.

Definition at line 80 of file Frustrum.cs.

Microsoft DirectX Plane DXGfxLib.Frustrum::TopPlane`[get, set]`

Hope the name is explicit enough.

Definition at line 95 of file Frustrum.cs.

The documentation for this class was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/Backup/DXGfxLib/Frustrum.cs
- D:/guillaume/guillara/3D/DXGfx/DXGfxLib/Frustrum.cs